component: HysteresisTest
proto_imports:
  - base/diag/monitors/stale/messages.proto
  - base/diag/monitors/hysteresis/messages.proto
  - base/diag/monitors/common.proto
metric: UintStatistics
namespace: zoox::diag::monitors::hysteresis
faults:
  - id: 1
    name: IntHysteresisLow
    severity: ERROR
    description: Value low
    freeze_frame: IntHysteresisFreezeFrame
  - id: 2
    name: IntHysteresisHigh
    severity: ERROR
    description: Value high
    freeze_frame: IntHysteresisFreezeFrame
  - id: 3
    name: UintHysteresisLow
    severity: ERROR
    description: Value low
    freeze_frame: UintHysteresisFreezeFrame
  - id: 4
    name: UintHysteresisHigh
    severity: ERROR
    description: Value high
    freeze_frame: UintHysteresisFreezeFrame
  - id: 5
    name: DoubleHysteresisLow
    severity: ERROR
    description: Value low
    freeze_frame: DoubleHysteresisFreezeFrame
  - id: 6
    name: DoubleHysteresisHigh
    severity: ERROR
    description: Value high
    freeze_frame: DoubleHysteresisFreezeFrame
  - id: 7
    name: HysteresisStale
    severity: ERROR
    description: Hysteresis monitor stale
    freeze_frame: StaleFreezeFrame
